<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DokumentStatusWeb extends DokumentStatusErmitteln
{
  public function berechneStatus(string $docKnr): int
  {
    if (SessionOperations::isWBLogin()) {
      $belKurse = LoginApi::getBelegteKurse();
      if (array_key_exists($docKnr, $belKurse)) {
        return SHOW_DOKU_TN_INKURS;
      } else {
        return SHOW_DOKU_TN_LOGIN;
      }
    } else {
      return SHOW_DOKU_TN_ALL;
    }
  }
}